# `ngClassOdd` ( directive in module `ng` )

## Description

The `ngClassOdd` and `ngClassEven` directives work exactly as `ngClass`, except it works in conjunction with `ngRepeat` and takes affect only on odd (even) rows.

This directive can be applied only within a scope of an `ngRepeat`.

## Usage

as attribute

    <ANY ng-class-odd="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-class-odd: {expression};">
       ...
    </ANY>

### Parameters

- `ngClassOdd – {expression} –`

  Expression to eval. The result of the evaluation can be a string representing space delimited class names or an array.

## Example

#### Source

#### Demo